Filters
LEED Brakes RFC1007-305X
Manual Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes H61
7 inch dual power booster, 1-1/8 inch bore master (Zinc); Leed Brakes power booster assemblies are shipped fully assembled. This insures proper adjustment of the pushrod between the power booster and master cylinder and proper fitment all valves, lines and brackets for a trouble-free installation.
LEED Brakes RFC0005-4C7X
Manual Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes 796B4
8 inch dual power booster, 1-1/8 inch bore flat top master disc/disc (Chrome); Leed Brakes power booster assemblies are shipped fully assembled. This insures proper adjustment of the pushrod between the power booster and master cylinder and proper fitment all valves, lines and brackets for a trouble-free installation.
LEED Brakes RFC0002-X405MX
Power Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes RFC1007-3A1X
Manual Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes H61A1
7 inch dual power booster, 1-1/8 inch bore master disc/drum (Zinc); Leed Brakes power booster assemblies are shipped fully assembled. This insures proper adjustment of the pushrod between the power booster and master cylinder and proper fitment all valves, lines and brackets for a trouble-free installation.
LEED Brakes RFC0005-H405AX
Power Front Kit with Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes 9005
Proportioning valve bottom mounting bracket (Zinc); Leed Brakes mounting brackets and splash shields are precision manufactured for specific applications. Each one is designed for precision fit and all brackets and shields are coated or plated to remain corrosion free for years to come.
LEED Brakes FC1002-NBB2
Power Front Kit with Plain Rotors and Zinc Plated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes RFC1007-3A3X
Manual Kit with 2" Drop Spindles Drilled Rotors and Red Powder Coated Calipers; Leed Brakes complete drum to disc brake conversion kit consists of all new precision machined components. Designed for easy bolt on installation the kit includes complete step by step instructions and industry leading tech support.
LEED Brakes H61A3
7 inch dual power booster, 1-1/8 inch bore master disc/disc (Zinc); Leed Brakes power booster assemblies are shipped fully assembled. This insures proper adjustment of the pushrod between the power booster and master cylinder and proper fitment all valves, lines and brackets for a trouble-free installation.


